# $Revision: 1.24 $, $Date: 2010/06/06 08:42:30 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	String
%define		pnam	Trigram
Summary:	String::Trigram - find similar strings by trigram method
Summary(pl.UTF-8):	String::Trigram - poszukiwanie podobnych łańcuchów metodą trygramów
Name:		perl-String-Trigram
Version:	0.11
Release:	2
Epoch:		1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/String/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	43e5234ecfb00ab06f5f07f45043b6dc
URL:		http://search.cpan.org/dist/String-Trigram/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module computes the similarity of two strings based on the
trigram method. This consists in splitting some string into triples of
characters and comparing those to the trigrams of some other string.
For example the string kangaroo has the trigrams {kan ang nga gar aro
roo}. A wrongly typed kanagaroo has the trigrams {kan ana nag aga gar
aro roo}. To compute the similarity we (roughly) divide the number of
matching trigrams (tokens not types) by the number of all trigrams
(types not tokens). For our example this means dividing 4 / 9
resulting in 0.44.

%description -l pl.UTF-8
Ten moduł oblicza podobieństwo dwóch łańcuchów bazując na metodzie
trygramów. Składa się ona z dzielenia łańcucha na trójki znaków i
porównywanie tych trygramów z jakimś innym łańcuchem. Na przykład
łańcuch "kangaroo" zawiera trygramy {kan ang nga gar aro roo}. Źle
napisane "kanagaroo" zawiera trygramy {kan ana nag aga gar aro roo}.
Aby obliczyć podobieństwo, dzielimy (zgrubnie) liczbę pasujących
trygramów (tokenów, nie typów) przez liczbę wszystkich trygramów
(typów, nie tokenów). W naszym przykładzie oznacza to dzielenie 4 / 9,
co daje wartość 0.44.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorarch}/String/*.pm
%dir %{perl_vendorarch}/auto/String/Trigram
%{perl_vendorarch}/auto/String/Trigram/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/String/Trigram/*.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-String-Trigram.spec,v $
Revision 1.24  2010/06/06 08:42:30  arekm
- release 2

Revision 1.23  2009/10/15 18:28:22  amateja
- updated to 0.11

Revision 1.22  2008/03/24 21:22:36  qboosh
- generic URL

Revision 1.21  2008-02-10 12:20:02  arekm
- rel 4

Revision 1.20  2008-01-10 08:38:41  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.19  2007-02-13 07:47:15  glen
- tabs in preamble

Revision 1.18  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.17  2004/11/03 22:30:46  paladine
- formatting

Revision 1.16  2004/10/24 16:26:27  paladine
- spelling fixes, uppercases, etc.

Revision 1.15  2004/05/07 01:09:25  ankry
- rel. 3

Revision 1.14  2004/05/06 18:21:12  ankry
- fixed perl-devel BR

Revision 1.13  2004/05/01 00:32:00  ankry
- license fixed, cosmetics

Revision 1.12  2004/04/27 15:26:27  ankry
- new bconds

Revision 1.11  2003/09/09 10:24:49  ankry
- spaces -> tab

Revision 1.10  2003/08/18 08:09:16  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.9  2003/06/12 09:26:37  qboosh
- up to 0.1, no longer noarch (from RA-branch), release 2

Revision 1.8  2003/05/28 13:01:04  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:25:00  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/11 18:59:27  radek
- BR: perl-devel; do not BR: perl

Revision 1.5  2003/03/01 20:46:47  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/25 00:41:48  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:38:28  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/08/27 22:37:24  qboosh
- pl description, release 2

Revision 1.1  2002/08/09 10:00:08  radek
- new, STBR
